# View Interface Reference
[Spring-like webflow tools]

Inheritance diagram for View:
[legend]

List of all members.

## Public Member Functions

| render ($model=null)

## Public Attributes

const | ERROR_VIEW = 'error'

## Detailed Description

Definition at line 15 of file View.class.php.

## Member Function Documentation

View::render | ( | $ | model = `null` | ) |

Parameters:

  | $model | null or Model

Implemented in CleanRedirectView, and HttpErrorView.

## Member Data Documentation

const View::ERROR_VIEW = 'error'

Definition at line 17 of file View.class.php.

Referenced by ModelAndView::viewIsNormal().

The documentation for this interface was generated from the following file:

- main/Flow/View.class.php